Bluetooth BCM43142A0 doesn’t work

Bug #1366418 reported by ghortor on 2014-09-06
78
This bug affects 14 people
Affects Status Importance Assigned to Milestone
bluez (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
Unassigned

Bug Description

I’ve installed ubuntu 14.04 and my computer’s builtin bluetooth (computer is an Asus x550ln) doesn’t work at all. Bluetooth is not displayed in the menu bar, if I open the bluetooth UI and switch on, nothing happens and the result of “hcitool dev” is empty.

I have tried to install the windows driver with ndiswrapper, and the bluetooth device seems to be detected as an usb bluetooth device but still not working. I then add the device to the bluetooth usb device and was able to activate bluetooth in the UI but it does not detect any other devices (I’ve tested with a smartphone).

The driver I have installed can be found in asus page => http://www.asus.com/fr/Notebooks_Ultrabooks/X550LN/HelpDesk_Download/ Select Windows OS, then “bluetooth” section, take the Broadcom driver (should be the first one).

If you extract this archive, you will find a file named “bcbtums-win8x64-brcm.inf” which I installed using the following command:

ndiswrapper -i bcbtums-win8x64-brcm.inf

Then, the result of “ndiswrapper -l” is:

bcbtums-win8x64-brcm : driver installed
 device (04CA:2006) present

in usb-devices, I find a device which was not present before installation (I might have activated btusb before on this paste):

T: Bus=02 Lev=01 Prnt=01 Port=05 Cnt=02 Dev#= 3 Spd=12 MxCh= 0
D: Ver= 2.00 Cls=ff(vend.) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=04ca ProdID=2006 Rev=01.12
S: Manufacturer=Broadcom Corp
S: Product=BCM43142A0
S: SerialNumber=B8EE6593D989
C: #Ifs= 4 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=01 Prot=01 Driver=btusb
I: If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
I: If#= 3 Alt= 0 #EPs= 0 Cls=fe(app. ) Sub=01 Prot=01 Driver=(none)

then, “echo "04ca 2006" > /sys/bus/usb/drivers/btusb/new_id”, and I can switch usb on, but no device will be detected and I’ve found this in the dmesg:

[2200.843126] Bluetooth: hci0 command 0x1003 tx timeout

which looks pretty much like a “bluetooth not working” message which I don’t understand in details.

I leave here my full dmesg:

[ 0.253889] NetLabel: domain hash size = 128
[ 0.253890] NetLabel: protocols = UNLABELED CIPSOv4
[ 0.253901] NetLabel: unlabeled traffic allowed by default
[ 0.253959] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0, 0, 0, 0, 0
[ 0.253965] hpet0: 8 comparators, 64-bit 14.318180 MHz counter
[ 0.255995] Switched to clocksource hpet
[ 0.260468] AppArmor: AppArmor Filesystem Enabled
[ 0.260488] pnp: PnP ACPI init
[ 0.260500] ACPI: bus type PNP registered
[ 0.260592] system 00:00: [mem 0xfed40000-0xfed44fff] has been reserved
[ 0.260596] system 00:00: Plug and Play ACPI device, IDs PNP0c01 (active)
[ 0.260642] pnp 00:01: [dma 4]
[ 0.260658] pnp 00:01: Plug and Play ACPI device, IDs PNP0200 (active)
[ 0.260678] pnp 00:02: Plug and Play ACPI device, IDs INT0800 (active)
[ 0.260782] pnp 00:03: Plug and Play ACPI device, IDs PNP0103 (active)
[ 0.260924] system 00:04: [io 0x0680-0x069f] has been reserved
[ 0.260927] system 00:04: [io 0xffff] has been reserved
[ 0.260928] system 00:04: [io 0xffff] has been reserved
[ 0.260930] system 00:04: [io 0xffff] has been reserved
[ 0.260932] system 00:04: [io 0x1c00-0x1cfe] has been reserved
[ 0.260934] system 00:04: [io 0x1d00-0x1dfe] has been reserved
[ 0.260935] system 00:04: [io 0x1e00-0x1efe] has been reserved
[ 0.260937] system 00:04: [io 0x1f00-0x1ffe] has been reserved
[ 0.260939] system 00:04: [io 0x1800-0x18fe] could not be reserved
[ 0.260941] system 00:04: [io 0x164e-0x164f] has been reserved
[ 0.260943] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.260969] pnp 00:05: Plug and Play ACPI device, IDs PNP0b00 (active)
[ 0.261012] system 00:06: [io 0x1854-0x1857] has been reserved
[ 0.261014] system 00:06: Plug and Play ACPI device, IDs INT3f0d PNP0c02 (active)
[ 0.261059] system 00:07: [io 0x04d0-0x04d1] has been reserved
[ 0.261061] system 00:07: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.261089] system 00:08: [io 0x0240-0x0259] has been reserved
[ 0.261091] system 00:08: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.261144] pnp 00:09: Plug and Play ACPI device, IDs FLT0101 SYN0a00 SYN0002 PNP0f03 PNP0f13 PNP0f12 (active)
[ 0.261179] pnp 00:0a: Plug and Play ACPI device, IDs ATK3001 PNP030b (active)
[ 0.261509] system 00:0b: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.261757] system 00:0c: [mem 0xfed1c000-0xfed1ffff] has been reserved
[ 0.261759] system 00:0c: [mem 0xfed10000-0xfed17fff] has been reserved
[ 0.261761] system 00:0c: [mem 0xfed18000-0xfed18fff] has been reserved
[ 0.261763] system 00:0c: [mem 0xfed19000-0xfed19fff] has been reserved
[ 0.261765] system 00:0c: [mem 0xf8000000-0xfbffffff] has been reserved
[ 0.261766] system 00:0c: [mem 0xfed20000-0xfed3ffff] has been reserved
[ 0.261768] system 00:0c: [mem 0xfed90000-0xfed93fff] has been reserved
[ 0.261770] system 00:0c: [mem 0xfed45000-0xfed8ffff] has been reserved
[ 0.261772] system 00:0c: [mem 0xff000000-0xffffffff] has been reserved
[ 0.261774] system 00:0c: [mem 0xfee00000-0xfeefffff] could not be reserved
[ 0.261776] system 00:0c: [mem 0xf7fdf000-0xf7fdffff] has been reserved
[ 0.261778] system 00:0c: [mem 0xf7fe0000-0xf7feffff] has been reserved
[ 0.261780] system 00:0c: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.261857] system 00:0d: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.262166] pnp: PnP ACPI: found 14 devices
[ 0.262168] ACPI: bus type PNP unregistered
[ 0.268251] pci 0000:00:1c.0: PCI bridge to [bus 01]
[ 0.268263] pci 0000:00:1c.2: PCI bridge to [bus 02]
[ 0.268266] pci 0000:00:1c.2: bridge window [io 0xe000-0xefff]
[ 0.268270] pci 0000:00:1c.2: bridge window [mem 0xf7900000-0xf79fffff]
[ 0.268277] pci 0000:00:1c.3: PCI bridge to [bus 03]
[ 0.268282] pci 0000:00:1c.3: bridge window [mem 0xf7800000-0xf78fffff]
[ 0.268289] pci 0000:00:1c.4: PCI bridge to [bus 04]
[ 0.268291] pci 0000:00:1c.4: bridge window [io 0xd000-0xdfff]
[ 0.268295] pci 0000:00:1c.4: bridge window [mem 0xf6000000-0xf70fffff]
[ 0.268299] pci 0000:00:1c.4: bridge window [mem 0xe0000000-0xf1ffffff 64bit pref]
[ 0.268305] pci_bus 0000:00: resource 4 [io 0x0000-0x0cf7]
[ 0.268307] pci_bus 0000:00: resource 5 [io 0x0d00-0xffff]
[ 0.268308] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff]
[ 0.268310] pci_bus 0000:00: resource 7 [mem 0x000d0000-0x000d3fff]
[ 0.268312] pci_bus 0000:00: resource 8 [mem 0x000d4000-0x000d7fff]
[ 0.268313] pci_bus 0000:00: resource 9 [mem 0x000d8000-0x000dbfff]
[ 0.268315] pci_bus 0000:00: resource 10 [mem 0x000dc000-0x000dffff]
[ 0.268316] pci_bus 0000:00: resource 11 [mem 0xcfe00000-0xfeafffff]
[ 0.268318] pci_bus 0000:02: resource 0 [io 0xe000-0xefff]
[ 0.268320] pci_bus 0000:02: resource 1 [mem 0xf7900000-0xf79fffff]
[ 0.268322] pci_bus 0000:03: resource 1 [mem 0xf7800000-0xf78fffff]
[ 0.268323] pci_bus 0000:04: resource 0 [io 0xd000-0xdfff]
[ 0.268325] pci_bus 0000:04: resource 1 [mem 0xf6000000-0xf70fffff]
[ 0.268327] pci_bus 0000:04: resource 2 [mem 0xe0000000-0xf1ffffff 64bit pref]
[ 0.268357] NET: Registered protocol family 2
[ 0.268521] TCP established hash table entries: 65536 (order: 7, 524288 bytes)
[ 0.268676] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[ 0.268804] TCP: Hash tables configured (established 65536 bind 65536)
[ 0.268821] TCP: reno registered
[ 0.268835] UDP hash table entries: 4096 (order: 5, 131072 bytes)
[ 0.268864] UDP-Lite hash table entries: 4096 (order: 5, 131072 bytes)
[ 0.268929] NET: Registered protocol family 1
[ 0.268939] pci 0000:00:02.0: Boot video device
[ 0.269275] PCI: CLS 64 bytes, default 64
[ 0.269328] Trying to unpack rootfs image as initramfs...
[ 0.611379] Freeing initrd memory: 18708K (ffff880035b66000 - ffff880036dab000)
[ 0.611384] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[ 0.611386] software IO TLB [mem 0xb59f8000-0xb99f8000] (64MB) mapped at [ffff8800b59f8000-ffff8800b99f7fff]
[ 0.611562] microcode: CPU0 sig=0x40651, pf=0x40, revision=0x17
[ 0.611567] microcode: CPU1 sig=0x40651, pf=0x40, revision=0x17
[ 0.611572] microcode: CPU2 sig=0x40651, pf=0x40, revision=0x17
[ 0.611579] microcode: CPU3 sig=0x40651, pf=0x40, revision=0x17
[ 0.611627] microcode: Microcode Update Driver: v2.00 <email address hidden>, Peter Oruba
[ 0.611629] Scanning for low memory corruption every 60 seconds
[ 0.611853] Initialise system trusted keyring
[ 0.611897] audit: initializing netlink socket (disabled)
[ 0.611905] type=2000 audit(1410041999.604:1): initialized
[ 0.642389] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[ 0.643400] zbud: loaded
[ 0.643543] VFS: Disk quotas dquot_6.5.2
[ 0.643579] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[ 0.643954] fuse init (API version 7.22)
[ 0.644018] msgmni has been set to 15732
[ 0.644063] Key type big_key registered
[ 0.644417] Key type asymmetric registered
[ 0.644420] Asymmetric key parser 'x509' registered
[ 0.644456] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[ 0.644490] io scheduler noop registered
[ 0.644492] io scheduler deadline registered (default)
[ 0.644516] io scheduler cfq registered
[ 0.644696] pcieport 0000:00:1c.0: irq 56 for MSI/MSI-X
[ 0.644830] pcieport 0000:00:1c.2: irq 57 for MSI/MSI-X
[ 0.644954] pcieport 0000:00:1c.3: irq 58 for MSI/MSI-X
[ 0.645073] pcieport 0000:00:1c.4: irq 59 for MSI/MSI-X
[ 0.645146] pcieport 0000:00:1c.0: Signaling PME through PCIe PME interrupt
[ 0.645150] pcie_pme 0000:00:1c.0:pcie01: service driver pcie_pme loaded
[ 0.645164] pcieport 0000:00:1c.2: Signaling PME through PCIe PME interrupt
[ 0.645166] pci 0000:02:00.0: Signaling PME through PCIe PME interrupt
[ 0.645167] pci 0000:02:00.1: Signaling PME through PCIe PME interrupt
[ 0.645171] pcie_pme 0000:00:1c.2:pcie01: service driver pcie_pme loaded
[ 0.645184] pcieport 0000:00:1c.3: Signaling PME through PCIe PME interrupt
[ 0.645186] pci 0000:03:00.0: Signaling PME through PCIe PME interrupt
[ 0.645189] pcie_pme 0000:00:1c.3:pcie01: service driver pcie_pme loaded
[ 0.645202] pcieport 0000:00:1c.4: Signaling PME through PCIe PME interrupt
[ 0.645204] pci 0000:04:00.0: Signaling PME through PCIe PME interrupt
[ 0.645207] pcie_pme 0000:00:1c.4:pcie01: service driver pcie_pme loaded
[ 0.645217] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 0.645230] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[ 0.645268] efifb: probing for efifb
[ 0.645720] efifb: framebuffer at 0xd0000000, mapped to 0xffffc90004f00000, using 3072k, total 3072k
[ 0.645722] efifb: mode is 1024x768x32, linelength=4096, pages=1
[ 0.645722] efifb: scrolling: redraw
[ 0.645724] efifb: Truecolor: size=8:8:8:8, shift=24:16:8:0
[ 0.647970] Console: switching to colour frame buffer device 128x48
[ 0.650150] fb0: EFI VGA frame buffer device
[ 0.650166] intel_idle: MWAIT substates: 0x11142120
[ 0.650167] intel_idle: v0.4 model 0x45
[ 0.650168] intel_idle: lapic_timer_reliable_states 0xffffffff
[ 0.650296] ipmi message handler version 39.2
[ 0.660278] ACPI: Deprecated procfs I/F for AC is loaded, please retry with CONFIG_ACPI_PROCFS_POWER cleared
[ 0.660324] ACPI: AC Adapter [AC0] (off-line)
[ 0.660423] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input0
[ 0.661053] ACPI: Lid Switch [LID]
[ 0.661085] input: Sleep Button as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input1
[ 0.661090] ACPI: Sleep Button [SLPB]
[ 0.661116] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[ 0.661119] ACPI: Power Button [PWRF]
[ 0.663353] thermal LNXTHERM:00: registered as thermal_zone0
[ 0.663355] ACPI: Thermal Zone [THRM] (29 C)
[ 0.663382] GHES: HEST is not enabled!
[ 0.663459] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[ 0.665226] Linux agpgart interface v0.103
[ 0.666452] brd: module loaded
[ 0.667101] loop: module loaded
[ 0.667396] libphy: Fixed MDIO Bus: probed
[ 0.667469] tun: Universal TUN/TAP device driver, 1.6
[ 0.667470] tun: (C) 1999-2004 Max Krasnyansky <email address hidden>
[ 0.667532] PPP generic driver version 2.4.2
[ 0.667588] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 0.667592] ehci-pci: EHCI PCI platform driver
[ 0.667698] ehci-pci 0000:00:1d.0: EHCI Host Controller
[ 0.667703] ehci-pci 0000:00:1d.0: new USB bus registered, assigned bus number 1
[ 0.667716] ehci-pci 0000:00:1d.0: debug port 2
[ 0.671613] ehci-pci 0000:00:1d.0: cache line size of 64 is not supported
[ 0.671635] ehci-pci 0000:00:1d.0: irq 23, io mem 0xf7a23000
[ 0.680324] ehci-pci 0000:00:1d.0: USB 2.0 started, EHCI 1.00
[ 0.680363] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[ 0.680365] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 0.680367] usb usb1: Product: EHCI Host Controller
[ 0.680368] usb usb1: Manufacturer: Linux 3.13.0-35-generic ehci_hcd
[ 0.680370] usb usb1: SerialNumber: 0000:00:1d.0
[ 0.681145] hub 1-0:1.0: USB hub found
[ 0.681152] hub 1-0:1.0: 2 ports detected
[ 0.681534] ACPI: Deprecated procfs I/F for battery is loaded, please retry with CONFIG_ACPI_PROCFS_POWER cleared
[ 0.681540] ACPI: Battery Slot [BAT0] (battery present)
[ 0.681615] ehci-platform: EHCI generic platform driver
[ 0.681622] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 0.681623] ohci-pci: OHCI PCI platform driver
[ 0.681631] ohci-platform: OHCI generic platform driver
[ 0.681637] uhci_hcd: USB Universal Host Controller Interface driver
[ 0.681747] xhci_hcd 0000:00:14.0: xHCI Host Controller
[ 0.681752] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[ 0.681828] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[ 0.681844] xhci_hcd 0000:00:14.0: irq 60 for MSI/MSI-X
[ 0.681897] usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
[ 0.681898] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 0.681900] usb usb2: Product: xHCI Host Controller
[ 0.681902] usb usb2: Manufacturer: Linux 3.13.0-35-generic xhci_hcd
[ 0.681903] usb usb2: SerialNumber: 0000:00:14.0
[ 0.682037] hub 2-0:1.0: USB hub found
[ 0.682047] hub 2-0:1.0: 9 ports detected
[ 0.684665] xhci_hcd 0000:00:14.0: xHCI Host Controller
[ 0.684670] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 3
[ 0.684700] usb usb3: New USB device found, idVendor=1d6b, idProduct=0003
[ 0.684702] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 0.684703] usb usb3: Product: xHCI Host Controller
[ 0.684705] usb usb3: Manufacturer: Linux 3.13.0-35-generic xhci_hcd
[ 0.684706] usb usb3: SerialNumber: 0000:00:14.0
[ 0.684840] hub 3-0:1.0: USB hub found
[ 0.684848] hub 3-0:1.0: 4 ports detected
[ 0.692403] i8042: PNP: PS/2 Controller [PNP030b:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
[ 0.694807] i8042: Detected active multiplexing controller, rev 1.1
[ 0.696716] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 0.696721] serio: i8042 AUX0 port at 0x60,0x64 irq 12
[ 0.696742] serio: i8042 AUX1 port at 0x60,0x64 irq 12
[ 0.696756] serio: i8042 AUX2 port at 0x60,0x64 irq 12
[ 0.696768] serio: i8042 AUX3 port at 0x60,0x64 irq 12
[ 0.697037] mousedev: PS/2 mouse device common for all mice
[ 0.697330] rtc_cmos 00:05: RTC can wake from S4
[ 0.697466] rtc_cmos 00:05: rtc core: registered rtc_cmos as rtc0
[ 0.697495] rtc_cmos 00:05: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
[ 0.697556] device-mapper: uevent: version 1.0.3
[ 0.697615] device-mapper: ioctl: 4.27.0-ioctl (2013-10-30) initialised: <email address hidden>
[ 0.697620] ledtrig-cpu: registered to indicate activity on CPUs
[ 0.697622] EFI Variables Facility v0.08 2004-May-17
[ 0.699907] TCP: cubic registered
[ 0.699986] NET: Registered protocol family 10
[ 0.700142] NET: Registered protocol family 17
[ 0.700160] Key type dns_resolver registered
[ 0.700460] Loading compiled-in X.509 certificates
[ 0.701376] Loaded X.509 cert 'Magrathea: Glacier signing key: b1414ae96c1b0ebb7c141fa405c1f6c98e8a66f0'
[ 0.701385] registered taskstats version 1
[ 0.703429] Key type trusted registered
[ 0.705112] Key type encrypted registered
[ 0.706725] AppArmor: AppArmor sha1 policy hashing enabled
[ 0.706728] IMA: No TPM chip found, activating TPM-bypass!
[ 0.707180] regulator-dummy: disabling
[ 0.707235] Magic number: 14:75:350
[ 0.707331] rtc_cmos 00:05: setting system clock to 2014-09-06 22:19:59 UTC (1410041999)
[ 0.708023] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 0.708024] EDD information not available.
[ 0.708061] PM: Hibernation image not present or could not be loaded.
[ 0.708761] Freeing unused kernel memory: 1336K (ffffffff81d1f000 - ffffffff81e6d000)
[ 0.708763] Write protecting the kernel read-only data: 12288k
[ 0.710370] Freeing unused kernel memory: 808K (ffff880002736000 - ffff880002800000)
[ 0.711578] Freeing unused kernel memory: 692K (ffff880002b53000 - ffff880002c00000)
[ 0.722330] systemd-udevd[115]: starting version 204
[ 0.736038] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input3
[ 0.743435] rtsx_pci 0000:02:00.0: irq 61 for MSI/MSI-X
[ 0.743448] rtsx_pci 0000:02:00.0: rtsx_pci_acquire_irq: pcr->msi_en = 1, pci->irq = 61
[ 0.745042] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 0.745052] r8169 0000:02:00.1: can't disable ASPM; OS doesn't have ASPM control
[ 0.745235] ahci 0000:00:1f.2: version 3.0
[ 0.745315] ahci 0000:00:1f.2: irq 62 for MSI/MSI-X
[ 0.745332] ahci 0000:00:1f.2: SSS flag set, parallel bus scan disabled
[ 0.752730] r8169 0000:02:00.1: irq 63 for MSI/MSI-X
[ 0.752926] r8169 0000:02:00.1 eth0: RTL8411 at 0xffffc90000c8c000, 78:24:af:23:b7:80, XID 1c800800 IRQ 63
[ 0.752929] r8169 0000:02:00.1 eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
[ 0.760330] ahci 0000:00:1f.2: AHCI 0001.0300 32 slots 4 ports 6 Gbps 0x3 impl SATA mode
[ 0.760334] ahci 0000:00:1f.2: flags: 64bit ncq stag led clo only pio slum part deso sadm sds apst
[ 0.760628] scsi0 : ahci
[ 0.760685] scsi1 : ahci
[ 0.760726] scsi2 : ahci
[ 0.760767] scsi3 : ahci
[ 0.760790] ata1: SATA max UDMA/133 abar m2048@0xf7a22000 port 0xf7a22100 irq 62
[ 0.760792] ata2: SATA max UDMA/133 abar m2048@0xf7a22000 port 0xf7a22180 irq 62
[ 0.760793] ata3: DUMMY
[ 0.760794] ata4: DUMMY
[ 0.921079] input: PS/2 Generic Mouse as /devices/platform/i8042/serio4/input/input11
[ 0.992540] usb 1-1: new high-speed USB device number 2 using ehci-pci
[ 1.080569] ata1: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
[ 1.086827] ata1.00: ATA-8: ST1000LM024 HN-M101MBB, 2BA30001, max UDMA/133
[ 1.086832] ata1.00: 1953525168 sectors, multi 16: LBA48 NCQ (depth 31/32)
[ 1.093148] ata1.00: configured for UDMA/133
[ 1.093355] scsi 0:0:0:0: Direct-Access ATA ST1000LM024 HN-M 2BA3 PQ: 0 ANSI: 5
[ 1.093519] sd 0:0:0:0: [sda] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
[ 1.093523] sd 0:0:0:0: [sda] 4096-byte physical blocks
[ 1.093543] sd 0:0:0:0: Attached scsi generic sg0 type 0
[ 1.093556] sd 0:0:0:0: [sda] Write Protect is off
[ 1.093558] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 1.093568] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 1.125009] usb 1-1: New USB device found, idVendor=8087, idProduct=8000
[ 1.125013] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 1.125276] hub 1-1:1.0: USB hub found
[ 1.125333] hub 1-1:1.0: 8 ports detected
[ 1.149052] sda: sda1 sda2 sda3 sda4 sda5 sda6 sda7
[ 1.149506] sd 0:0:0:0: [sda] Attached SCSI disk
[ 1.292731] usb 2-5: new high-speed USB device number 2 using xhci_hcd
[ 1.331488] usb 2-5: New USB device found, idVendor=0bda, idProduct=57b4
[ 1.331492] usb 2-5: New USB device strings: Mfr=3, Product=1, SerialNumber=2
[ 1.331494] usb 2-5: Product: USB Camera
[ 1.331496] usb 2-5: Manufacturer: 04081-00051400E5GN23
[ 1.331498] usb 2-5: SerialNumber: 200901010001
[ 1.412773] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[ 1.415988] ata2.00: ATAPI: MATSHITA DVD-RAM UJ8FBS, 1.00, max UDMA/100
[ 1.418480] ata2.00: configured for UDMA/100
[ 1.423658] scsi 1:0:0:0: CD-ROM MATSHITA DVD-RAM UJ8FBS 1.00 PQ: 0 ANSI: 5
[ 1.429108] sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[ 1.429111] cdrom: Uniform CD-ROM driver Revision: 3.20
[ 1.429251] sr 1:0:0:0: Attached scsi CD-ROM sr0
[ 1.429329] sr 1:0:0:0: Attached scsi generic sg1 type 5
[ 1.444783] usb 2-6: new full-speed USB device number 3 using xhci_hcd
[ 1.462727] usb 2-6: New USB device found, idVendor=04ca, idProduct=2006
[ 1.462730] usb 2-6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1.462732] usb 2-6: Product: BCM43142A0
[ 1.462734] usb 2-6: Manufacturer: Broadcom Corp
[ 1.462735] usb 2-6: SerialNumber: B8EE6593D989
[ 1.487527] mmc0: new SDHC card at address d555
[ 1.489441] mmcblk0: mmc0:d555 SD08G 7.60 GiB
[ 1.490304] mmcblk0: p1
[ 1.532836] usb 1-1.3: new low-speed USB device number 3 using ehci-pci
[ 1.608834] tsc: Refined TSC clocksource calibration: 2593.995 MHz
[ 1.629137] usb 1-1.3: New USB device found, idVendor=046d, idProduct=c077
[ 1.629140] usb 1-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1.629142] usb 1-1.3: Product: USB Optical Mouse
[ 1.629144] usb 1-1.3: Manufacturer: Logitech
[ 1.631803] hidraw: raw HID events driver (C) Jiri Kosina
[ 1.634737] usbcore: registered new interface driver usbhid
[ 1.634741] usbhid: USB HID core driver
[ 1.636075] input: Logitech USB Optical Mouse as /devices/pci0000:00/0000:00:1d.0/usb1/1-1/1-1.3/1-1.3:1.0/input/input12
[ 1.636171] hid-generic 0003:046D:C077.0001: input,hidraw0: USB HID v1.11 Mouse [Logitech USB Optical Mouse] on usb-0000:00:1d.0-1.3/input0
[ 2.482144] random: nonblocking pool is initialized
[ 2.490183] EXT4-fs (sda7): mounted filesystem with ordered data mode. Opts: (null)
[ 2.609696] Switched to clocksource tsc
[ 3.804056] init: plymouth-upstart-bridge main process (184) terminated with status 1
[ 3.804066] init: plymouth-upstart-bridge main process ended, respawning
[ 3.805917] init: plymouth-upstart-bridge main process (195) terminated with status 1
[ 3.805930] init: plymouth-upstart-bridge main process ended, respawning
[ 3.807673] init: plymouth-upstart-bridge main process (197) terminated with status 1
[ 3.807682] init: plymouth-upstart-bridge main process ended, respawning
[ 3.809444] init: plymouth-upstart-bridge main process (198) terminated with status 1
[ 3.809452] init: plymouth-upstart-bridge main process ended, respawning
[ 3.810754] init: plymouth-upstart-bridge main process (200) terminated with status 1
[ 3.810762] init: plymouth-upstart-bridge main process ended, respawning
[ 3.812332] init: plymouth-upstart-bridge main process (201) terminated with status 1
[ 3.812343] init: plymouth-upstart-bridge main process ended, respawning
[ 3.813607] init: plymouth-upstart-bridge main process (203) terminated with status 1
[ 3.813614] init: plymouth-upstart-bridge main process ended, respawning
[ 3.815042] init: plymouth-upstart-bridge main process (204) terminated with status 1
[ 3.815049] init: plymouth-upstart-bridge main process ended, respawning
[ 3.816362] init: plymouth-upstart-bridge main process (206) terminated with status 1
[ 3.816368] init: plymouth-upstart-bridge main process ended, respawning
[ 3.817652] init: plymouth-upstart-bridge main process (207) terminated with status 1
[ 3.817661] init: plymouth-upstart-bridge main process ended, respawning
[ 3.819066] init: plymouth-upstart-bridge main process (209) terminated with status 1
[ 3.819074] init: plymouth-upstart-bridge respawning too fast, stopped
[ 5.062186] Adding 19530748k swap on /dev/sda6. Priority:-1 extents:1 across:19530748k FS
[ 5.990487] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 6.521541] systemd-udevd[315]: starting version 204
[ 7.894941] lp: driver loaded but no devices found
[ 8.049001] ppdev: user-space parallel port driver
[ 9.854642] EXT4-fs (sda7): re-mounted. Opts: errors=remount-ro
[ 10.435788] wmi: Mapper loaded
[ 10.558331] ACPI Warning: 0x0000000000001828-0x000000000000182f SystemIO conflicts with Region \GPIS 1 (20131115/utaddress-251)
[ 10.558339] ACPI Warning: 0x0000000000001828-0x000000000000182f SystemIO conflicts with Region \PMIO 2 (20131115/utaddress-251)
[ 10.558345] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 10.558350] ACPI Warning: 0x0000000000001c30-0x0000000000001c3f SystemIO conflicts with Region \GPIO 1 (20131115/utaddress-251)
[ 10.558354] ACPI Warning: 0x0000000000001c30-0x0000000000001c3f SystemIO conflicts with Region \GP01 2 (20131115/utaddress-251)
[ 10.558359] ACPI Warning: 0x0000000000001c30-0x0000000000001c3f SystemIO conflicts with Region \GPRL 3 (20131115/utaddress-251)
[ 10.558363] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 10.558365] ACPI Warning: 0x0000000000001c00-0x0000000000001c2f SystemIO conflicts with Region \GPIO 1 (20131115/utaddress-251)
[ 10.558369] ACPI Warning: 0x0000000000001c00-0x0000000000001c2f SystemIO conflicts with Region \GP01 2 (20131115/utaddress-251)
[ 10.558373] ACPI Warning: 0x0000000000001c00-0x0000000000001c2f SystemIO conflicts with Region \GPRL 3 (20131115/utaddress-251)
[ 10.558377] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 10.558379] lpc_ich: Resource conflict(s) found affecting gpio_ich
[ 10.724754] mei_me 0000:00:16.0: irq 64 for MSI/MSI-X
[ 11.022926] cfg80211: Calling CRDA to update world regulatory domain
[ 11.032464] [drm] Initialized drm 1.1.0 20060810
[ 11.263369] lib80211: common routines for IEEE802.11 drivers
[ 11.263379] lib80211_crypt: registered algorithm 'NULL'
[ 11.431588] wl: module license 'MIXED/Proprietary' taints kernel.
[ 11.431592] Disabling lock debugging due to kernel taint
[ 11.432922] wl: module verification failed: signature and/or required key missing - tainting kernel
[ 11.462792] INFO @wl_cfg80211_attach : Registered CFG80211 phy
[ 11.688500] [drm] Initialized nvidia-drm 0.0.0 20130102 for 0000:04:00.0 on minor 0
[ 11.688515] NVRM: loading NVIDIA UNIX x86_64 Kernel Module 331.38 Wed Jan 8 19:32:30 PST 2014
[ 11.712334] [drm] Memory usable by graphics device = 2048M
[ 11.712337] checking generic (d0000000 300000) vs hw (d0000000 10000000)
[ 11.712338] fb: conflicting fb hw usage inteldrmfb vs EFI VGA - removing generic driver
[ 11.712361] Console: switching to colour dummy device 80x25
[ 11.763141] i915 0000:00:02.0: irq 65 for MSI/MSI-X
[ 11.763151] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[ 11.763152] [drm] Driver supports precise vblank timestamp query.
[ 11.833640] fbcon: inteldrmfb (fb0) is primary device
[ 11.905043] lib80211_crypt: registered algorithm 'TKIP'
[ 11.939267] asus_wmi: ASUS WMI generic driver loaded
[ 12.007365] wlan0: Broadcom BCM4365 802.11 Hybrid Wireless Controller 6.30.223.141 (r415941)
[ 12.219319] asus_wmi: Initialization: 0x1
[ 12.219351] asus_wmi: BIOS WMI version: 7.9
[ 12.219379] asus_wmi: SFUN value: 0x4a0877
[ 12.220140] input: Asus WMI hotkeys as /devices/platform/asus-nb-wmi/input/input13
[ 12.228378] asus_wmi: Backlight controlled by ACPI video driver
[ 12.538414] Linux video capture interface: v2.00
[ 12.655696] intel_rapl: domain uncore energy ctr 1975:1975 not working, skip
[ 12.748048] uvcvideo: Found UVC 1.00 device USB Camera (0bda:57b4)
[ 12.754051] input: USB Camera as /devices/pci0000:00/0000:00:14.0/usb2/2-5/2-5:1.0/input/input14
[ 12.754124] usbcore: registered new interface driver uvcvideo
[ 12.754125] USB Video Class driver (1.1.1)
[ 12.977835] cfg80211: World regulatory domain updated:
[ 12.977836] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 12.977839] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 12.977840] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 12.977841] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 12.977843] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 12.977844] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 13.433147] type=1400 audit(1410034812.216:2): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/sbin/dhclient" pid=420 comm="apparmor_parser"
[ 13.433151] type=1400 audit(1410034812.216:3): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=420 comm="apparmor_parser"
[ 13.433154] type=1400 audit(1410034812.216:4): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/lib/connman/scripts/dhclient-script" pid=420 comm="apparmor_parser"
[ 13.433330] type=1400 audit(1410034812.216:5): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/sbin/dhclient" pid=419 comm="apparmor_parser"
[ 13.433337] type=1400 audit(1410034812.216:6): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=419 comm="apparmor_parser"
[ 13.433342] type=1400 audit(1410034812.216:7): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/connman/scripts/dhclient-script" pid=419 comm="apparmor_parser"
[ 13.433350] type=1400 audit(1410034812.216:8): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/sbin/dhclient" pid=498 comm="apparmor_parser"
[ 13.433356] type=1400 audit(1410034812.216:9): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=498 comm="apparmor_parser"
[ 13.433360] type=1400 audit(1410034812.216:10): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/connman/scripts/dhclient-script" pid=498 comm="apparmor_parser"
[ 13.433532] type=1400 audit(1410034812.216:11): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=420 comm="apparmor_parser"
[ 13.452164] Console: switching to colour frame buffer device 170x48
[ 13.454805] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 13.454806] i915 0000:00:02.0: registered panic notifier
[ 13.455184] [Firmware Bug]: ACPI(PEGP) defines _DOD but not _DOS
[ 13.469600] ACPI: Video Device [PEGP] (multi-head: yes rom: yes post: no)
[ 13.472226] acpi device:23: registered as cooling_device5
[ 13.472261] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:13/LNXVIDEO:00/input/input15
[ 13.473408] ACPI: Video Device [GFX0] (multi-head: yes rom: no post: no)
[ 13.476028] acpi device:79: registered as cooling_device6
[ 13.484214] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:01/input/input16
[ 13.484281] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 1
[ 13.484448] HDA driver get symbol successfully from i915 module
[ 13.484606] snd_hda_intel 0000:00:1b.0: irq 66 for MSI/MSI-X
[ 13.492149] snd_hda_intel 0000:00:03.0: irq 67 for MSI/MSI-X
[ 13.543995] input: HDA Intel HDMI HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:03.0/sound/card0/input19
[ 13.544063] input: HDA Intel HDMI HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:03.0/sound/card0/input18
[ 13.544115] input: HDA Intel HDMI HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:03.0/sound/card0/input17
[ 13.545270] SKU: Nid=0x1d sku_cfg=0x40479a2d
[ 13.545272] SKU: port_connectivity=0x1
[ 13.545272] SKU: enable_pcbeep=0x0
[ 13.545273] SKU: check_sum=0x00000007
[ 13.545274] SKU: customization=0x0000009a
[ 13.545274] SKU: external_amp=0x5
[ 13.545275] SKU: platform_type=0x1
[ 13.545276] SKU: swap=0x0
[ 13.545276] SKU: override=0x1
[ 13.545486] autoconfig: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[ 13.545487] speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 13.545488] hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[ 13.545488] mono: mono_out=0x0
[ 13.545489] inputs:
[ 13.545490] Internal Mic=0x1a
[ 13.545491] Mic=0x19
[ 13.545492] realtek: No valid SSID, checking pincfg 0x40479a2d for NID 0x1d
[ 13.545493] realtek: Enabling init ASM_ID=0x9a2d CODEC_ID=10ec0233
[ 13.552208] input: HDA Intel PCH Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card1/input21
[ 13.552266] input: HDA Intel PCH Mic as /devices/pci0000:00/0000:00:1b.0/sound/card1/input20
[ 13.828436] [drm] Enabling RC6 states: RC6 on, RC6p off, RC6pp off
[ 16.301537] init: failsafe main process (677) killed by TERM signal
[ 19.015979] init: avahi-cups-reload main process (775) terminated with status 1
[ 19.103349] Bluetooth: Core ver 2.17
[ 19.103363] NET: Registered protocol family 31
[ 19.103365] Bluetooth: HCI device and connection manager initialized
[ 19.103371] Bluetooth: HCI socket layer initialized
[ 19.103374] Bluetooth: L2CAP socket layer initialized
[ 19.103377] Bluetooth: SCO socket layer initialized
[ 19.129046] audit_printk_skb: 24 callbacks suppressed
[ 19.129049] type=1400 audit(1410034817.908:20): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/lib/cups/backend/cups-pdf" pid=768 comm="apparmor_parser"
[ 19.129055] type=1400 audit(1410034817.908:21): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/sbin/cupsd" pid=768 comm="apparmor_parser"
[ 19.129413] type=1400 audit(1410034817.908:22): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/sbin/cupsd" pid=768 comm="apparmor_parser"
[ 19.845205] Bluetooth: RFCOMM TTY layer initialized
[ 19.845215] Bluetooth: RFCOMM socket layer initialized
[ 19.845220] Bluetooth: RFCOMM ver 1.11
[ 20.157249] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 20.157253] Bluetooth: BNEP filters: protocol multicast
[ 20.157261] Bluetooth: BNEP socket layer initialized
[ 24.470690] type=1400 audit(1410034823.244:23): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/sbin/dhclient" pid=925 comm="apparmor_parser"
[ 24.470696] type=1400 audit(1410034823.244:24): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=925 comm="apparmor_parser"
[ 24.470699] type=1400 audit(1410034823.244:25): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/connman/scripts/dhclient-script" pid=925 comm="apparmor_parser"
[ 24.471568] type=1400 audit(1410034823.248:26): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=925 comm="apparmor_parser"
[ 24.471573] type=1400 audit(1410034823.248:27): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/connman/scripts/dhclient-script" pid=925 comm="apparmor_parser"
[ 24.471712] type=1400 audit(1410034823.248:28): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/connman/scripts/dhclient-script" pid=925 comm="apparmor_parser"
[ 24.519246] type=1400 audit(1410034823.296:29): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/sbin/cups-browsed" pid=929 comm="apparmor_parser"
[ 24.519258] type=1400 audit(1410034823.296:30): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/sbin/cups-browsed" pid=885 comm="apparmor_parser"
[ 24.522201] type=1400 audit(1410034823.296:31): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/cups/backend/cups-pdf" pid=930 comm="apparmor_parser"
[ 24.522206] type=1400 audit(1410034823.296:32): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/sbin/cupsd" pid=930 comm="apparmor_parser"
[ 25.201408] r8169 0000:02:00.1 eth0: link down
[ 25.201449] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 25.201678] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 28.319507] bbswitch: version 0.7
[ 28.319515] bbswitch: Found integrated VGA device 0000:00:02.0: \_SB_.PCI0.GFX0
[ 28.319523] bbswitch: Found discrete VGA device 0000:04:00.0: \_SB_.PCI0.RP05.PEGP
[ 28.319532] ACPI Warning: \_SB_.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 28.319608] bbswitch: detected an Optimus _DSM function
[ 28.319617] bbswitch: Succesfully loaded. Discrete card 0000:04:00.0 is on
[ 34.593422] vgaarb: this pci device is not a vga device
[ 34.664276] nvidia 0000:04:00.0: irq 68 for MSI/MSI-X
[ 34.670798] ACPI Warning: \_SB_.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 34.670840] ACPI Warning: \_SB_.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 34.670865] ACPI Warning: \_SB_.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 34.670888] ACPI Warning: \_SB_.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 34.670910] ACPI Warning: \_SB_.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 34.670933] ACPI Warning: \_SB_.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 34.670967] ACPI Warning: \_SB_.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 34.670990] ACPI Warning: \_SB_.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 35.066389] ACPI Warning: \_SB_.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20131115/nsarguments-95)
[ 35.397175] vgaarb: this pci device is not a vga device
[ 71.644481] FAT-fs (mmcblk0p1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
[ 527.975488] systemd-hostnamed[2991]: Warning: nss-myhostname is not installed. Changing the local hostname might make it unresolveable. Please install nss-myhostname!
[ 1841.644295] usbcore: registered new interface driver btusb
[ 2200.843126] Bluetooth: hci0 command 0x1003 tx timeout

And the usb-devices result command when enabling ndiswrapper bcbtums driver:

T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 2
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.13
S: Manufacturer=Linux 3.13.0-35-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:1d.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=480 MxCh= 8
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=8087 ProdID=8000 Rev=00.04
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=02 Prnt=02 Port=02 Cnt=01 Dev#= 3 Spd=1.5 MxCh= 0
D: Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs= 1
P: Vendor=046d ProdID=c077 Rev=72.00
S: Manufacturer=Logitech
S: Product=USB Optical Mouse
C: #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=03(HID ) Sub=01 Prot=02 Driver=usbhid

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 9
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.13
S: Manufacturer=Linux 3.13.0-35-generic xhci_hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=02 Lev=01 Prnt=01 Port=04 Cnt=01 Dev#= 2 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0bda ProdID=57b4 Rev=00.12
S: Manufacturer=04081-00051400E5GN23
S: Product=USB Camera
S: SerialNumber=200901010001
C: #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=0e(video) Sub=01 Prot=00 Driver=uvcvideo
I: If#= 1 Alt= 0 #EPs= 0 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo

T: Bus=02 Lev=01 Prnt=01 Port=05 Cnt=02 Dev#= 3 Spd=12 MxCh= 0
D: Ver= 2.00 Cls=ff(vend.) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=04ca ProdID=2006 Rev=01.12
S: Manufacturer=Broadcom Corp
S: Product=BCM43142A0
S: SerialNumber=B8EE6593D989
C: #Ifs= 4 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=01 Prot=01 Driver=btusb
I: If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
I: If#= 3 Alt= 0 #EPs= 0 Cls=fe(app. ) Sub=01 Prot=01 Driver=(none)

T: Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=5000 MxCh= 4
D: Ver= 3.00 Cls=09(hub ) Sub=00 Prot=03 MxPS= 9 #Cfgs= 1
P: Vendor=1d6b ProdID=0003 Rev=03.13
S: Manufacturer=Linux 3.13.0-35-generic xhci_hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

If a solution can be found… :-)

I tried some solutions I’ve found on the web, but nothing seems to work, my best hope was here https://forums.openmandriva.org/en/discussion/421/driver-for-wireless-bcm43142a0-solved but didn’t work for me. Moreover, I feel like this device is more a wifi device than a bluetooth device, but my wifi device works fine ! Is it possible that a wifi device is used for bluetooth ? I know so less about all that…

Stanislav Yudin (cityacee) wrote :

The same situation with my laptop Asus X551MA and Ubuntu 14.04.1 64-bit - BlueTooth 04CA:2006 doesn't work.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
Silvano (silvavlis) wrote :

Same issue with HP Pavilion f-105ng and Ubuntu 14.10 64bit.

Bluetooth 001:004 doesn't work.

Sonal Santan (sonal-santan) wrote :

This used to work following the instructions from http://sonalsantan.blogspot.com/2014/01/xubuntu-on-lenovo-ideapd-z510.html. However it doesn not work after upgrade to Ubuntu 14.10.

dr.falken (steven-falken) wrote :

Same issue with Asus F550L (F550LNV-DM456H) and Ubuntu 14.10 64bit.

dr.falken (steven-falken) wrote :

Someone resolved in the way described here (note the change for ubuntu 14.10 in comment #136)

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1065400

Luca Favario (lfavario) wrote :

I have the same issue on an Asus X550LD

usb-devices:
T: Bus=02 Lev=01 Prnt=01 Port=05 Cnt=03 Dev#= 5 Spd=12 MxCh= 0
D: Ver= 2.00 Cls=ff(vend.) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=04ca ProdID=2006 Rev=01.12
S: Manufacturer=Broadcom Corp
S: Product=BCM43142A0
S: SerialNumber=B8EE651377EB
C: #Ifs= 4 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=01 Prot=01 Driver=(none)
I: If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=01 Prot=01 Driver=(none)
I: If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
I: If#= 3 Alt= 0 #EPs= 0 Cls=fe(app. ) Sub=01 Prot=01 Driver=(none)

dmesg | grep blue -i:
[ 7.406375] Bluetooth: Core ver 2.19
[ 7.406395] Bluetooth: HCI device and connection manager initialized
[ 7.406721] Bluetooth: HCI socket layer initialized
[ 7.406724] Bluetooth: L2CAP socket layer initialized
[ 7.406733] Bluetooth: SCO socket layer initialized
[ 7.413489] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 7.413493] Bluetooth: BNEP filters: protocol multicast
[ 7.413500] Bluetooth: BNEP socket layer initialized
[ 7.427659] Bluetooth: RFCOMM TTY layer initialized
[ 7.427669] Bluetooth: RFCOMM socket layer initialized
[ 7.427674] Bluetooth: RFCOMM ver 1.11

ghortor (ghortor-72) wrote :

Unfortunately, the solutions suggested previously on message #4 and #6 don’t work. I’ve tried to do an hex2hcd of the .hex file used by my windows, then put it in /lib/firmware with the good name and it didn‘t work at all, bluetooth is still unusable.

For the solution proposed in #6, I don’t really understand how to rename the .hcd, if the name matters, I might have done an error, but if not, it simply doesn’t seem to work.

The solution that looked the most promising was to use ndiswrapper on the windows driver, device seems to be recognized, but still not working unfortunately.

Jeremy (wa113y3s) wrote :

If someone wants to test a patched btusb.ko with 3.13.0-44 64 bit
https://www.dropbox.com/s/uoovkbe7chgh00p/btusb.ko?dl=0
Just rename your current btusb.ko to btusb.ko.bak and copy the patched version in and reboot

Pilot6 (hanipouspilot) wrote :

Jeremy,

What is the patch? Just add it to btusb.c or something else? Where is the source?

ghortor (ghortor-72) wrote :

Jeremy,

I think I agree with Pilot6, could you give us a diff of your code please ? I think it’s not a good idea to just patch our btusb module without knowing what kind of modification you made :-)

Regards,

Pilot6 (hanipouspilot) wrote :

The patch has been commited to linux-next https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/bluetooth?id=8f0c304c693c5a9759ed6ae50d07d4590dad5ae7

But still firmware is needed. I backported it to Ubuntu 3.16 kernel. It can be found here
https://www.dropbox.com/sh/07642x3lziqgmz9/AACGWNO5_lNnX7x7tYMoH9gka?dl=0

in "next" directory.

To get firmware you need to download Windows driver.
http://drivers.softpedia.com/get/BLUETOOTH/Broadcom/Broadcom-43142-Bluetooth-40-Adapter-Driver-12007030-for-Windows-8.shtml#download

Extract BCM43142A0_001.001.011.0122.0139.hex file from there.

Download and build convert utility.

sudo apt-get install git
git clone git://github.com/jessesung/hex2hcd.git
cd hex2hcd
make

Then place BCM43142A0_001.001.011.0122.0139.hex to hex2hcd directory and run in terminal.

./hex2hcd BCM43142A0_001.001.011.0122.0139.hex BCM43142A0-04ca-2006.hcd
sudo cp BCM43142A0-04ca-2006.hcd /lib/firmware/brcm

Bluetooth must work after reboot.

Changed in bluez (Ubuntu):
status: Confirmed → Fix Committed
Pilot6 (hanipouspilot) wrote :

The linux patch has been commited, but bluez must be updated too.

Changed in bluez (Ubuntu):
status: Fix Committed → Confirmed
Changed in linux (Ubuntu):
status: New → Fix Committed
Pilot6 (hanipouspilot) wrote :

The firmware should be added from Windows driver.

Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Mark (ghtukjk) wrote :

Hi all :)
I have same broadcom bluetooth issue with my asus x551ma; The $usb-devices outputs :
--------
Vendor=04ca ProdID=2006 Rev=01.12
S: Manufacturer=Broadcom Corp
S: Product=BCM43142A0
S: SerialNumber=A4DB30BBDB48
C: #Ifs= 4 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=01 Prot=01 Driver=(none)
I: If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=01 Prot=01 Driver=(none)
I: If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
I: If#= 3 Alt= 0 #EPs= 0 Cls=fe(app. ) Sub=01 Prot=01 Driver=(none)
---------
So I want to ask has the #12 instruction "confirmed as a solution" or not?

ghortor (ghortor-72) wrote :

Hi Mark,

I’m not able to confirm this works right now, I’m having hard time recompiling kernel modules. I just tried yesterday, as I haven’t got much time so far. I will send an update as soon as I succeeded in compiling kernel module.

Be aware that I will test solution in message #12 for my ubuntu kernel, which is 3.13 (< 3.16 as written in the solution). I’d rather let ubuntu decide which kernel needs to be used, even if I can’t use bluetooth (this is not a mandatory option for me).

Regards,

ghortor (ghortor-72) wrote :

Works fine ! \o/

I followed the instructions here => https://wiki.ubuntu.com/Kernel/BuildYourOwnKernel to build the kernel with the diff posted by Pilot6 (useful if you are using ubuntu :D).

I also “apt-get purged” my current linux-image et linux-headers so that they could be fully replaced by the one I’ve built. Rebooted and could finally use the bluetooth device of my computer..

Thanks very much everyone, (special thanks to Pilot6 :-) ).

Pilot6 (hanipouspilot) wrote :

This fix is already in 'proposed' kernel. You do not need to use mine any more.

ghortor (ghortor-72) wrote :

What do you mean by “proposed” kernel ? I compiled kernel via the linux-source of my ubuntu 14.04 LTS, version of the kernel is 3.13.0-48 (using “uname -r”) and the sources of btusb.c file doesn’t contain the patch, I had to patch the code myself.

Regards,

Pilot6 (hanipouspilot) wrote :

I mean that this patch has been applied to official Ubuntu kernel.
It is 3.16.0-34.45. This kernel can be installed from 'proposed' repos. Or just wait for next kernel update.

Mark (ghtukjk) wrote :

@Pilot6

"I mean that this patch has been applied to official Ubuntu kernel."

Sounds great; But is there the patch for www.kernel.org's non-compiled kernels or is there a way to avoid re-compiling at all? I am asking cause I have pre-compiled kernel 3.16.7 so I really want to fing some generic solution; Any ideas?

Pilot6 (hanipouspilot) wrote :

@Mark,

Why do you need to compile something or use some unofficial kernels? Why don't you use normal Ubuntu kernel?

Mark (ghtukjk) wrote :

@Pilot6
I have bluetooth issue as well but I have Linux Arch OS (kernel 3.16.7); Currently I coudn't find any Arch's os adapted solution so there is only way to compile and install the standart www.kernel.org's kernel which is patched or similar :) The bluetooth issue which described here (bug 1366418) is quite specific so I am really hope to find generic solution; Adding (inserting) working bluetooth firmware module for example?

Mark (ghtukjk) wrote :

@Pilot6
...I mean is there a way to compile the bluetooth module with "make" and then use "modprobe" to post-insert the missing firmware bluetooth module into already running kernel for example? I do need some generic solution cause anyways it is the bluetooth driver issue not a OS-dependant one :)

Pilot6 (hanipouspilot) wrote :

@Mark,

Read about dkms. You can install custom btusb as a dkms module, and it will automatically built against any new kernel.

Mark (ghtukjk) wrote :

@Pilot6
So is the post #12 confirmed? I am to follow the instructions...

quote :
"...Extract BCM43142A0_001.001.011.0122.0139.hex file from there..."

I am not sure is the BCM43142A0_001.001.011.0122.0139.hex should be exactly used for 04ca or there can be another *.hex version? I am asking cause I have downloaded asus x551ma window's 8 broadcom bluetooth driver (from asus.com ) and I coudn't find the BCM43142A0_001.001.011.0122.0139.hex there though it is suposed to contain exact the proper bluetooth driver for my notebook :( So how to calculate a proper alternative *.hex version?

Pilot6 (hanipouspilot) wrote :

@Mark,

1. Asus drivers are buit a way that you do not see separate firmware files.
2. To determine which hex file to use, you need to look into inf file. Find your adapter VID PID and match it to hex file. Then convert it to hcd.

It is a shame that Broadcom does not give license to distribute that firmware. I think about making a ppa with all these files, but it is not quite legal.

Mark (ghtukjk) wrote :

@Pilot6
As I can see it, lsusb shows the bluetooth VID/PID values as 04ca:2006 (see #15); But I don't get it how to find out correct *.hax with the info?

Pilot6 (hanipouspilot) wrote :

I looked into the inf file for you and found that yours hex is
BCM43142A0_001.001.011.0122.0139.hex

It also depends on what kernel version do you use.

tags: added: trusty
Mark (ghtukjk) wrote :

@Pilot
OK... please give more details concerning how to find out which kernel version must be running? I have kernel 3.16.7 so is it OK for #12 instructions or I need another driver version?

Pilot6 (hanipouspilot) wrote :

Mark,

Return normal Ubuntu kernel and try again. Remove that 3.16.7 and install

linux-generic-lts-utopic

It is also 3.16, but has a fix.

Pilot6 (hanipouspilot) wrote :

3.13 image should be updated as well.

Mark (ghtukjk) wrote :

@Pilot6

quote:
"...Return normal Ubuntu kernel and try again. Remove that 3.16.7 and install..."

I am looking for some generic solution cause, as I was saying (see #23), I have Linux Arch x64 OS installed not ubuntu :) Anyways I am to try #12 instructions in combination with dkms

Mark (ghtukjk) wrote :

@Pilot6

I want to ask... The btusb version is 0.7 "https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/tree/drivers/bluetooth/btusb.c?id=8f0c304c693c5a9759ed6ae50d07d4590dad5ae7" and the patch "https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/patch/drivers/bluetooth?id=8f0c304c693c5a9759ed6ae50d07d4590dad5ae7" is dedicated for version 0.7 as well? I mean has btusb version 0.6 the mentioned fixes or it is the 0.7 privilege only?

Amr Ibrahim (amribrahim1987) wrote :

This bug exists because firmware brcm/BCM43142A0-04ca-2009.hcd is not found in Ubuntu. Please add it.

Seth Forshee (sforshee) wrote :

@Amr: We cannot add this firmware to Ubuntu without a license from Broadcom which allows redistribution. As far as I can see the sources posted so far do not include such a license. Do you know of any sources which do?

Changed in linux-firmware (Ubuntu):
status: Confirmed → Incomplete
HuaiDan (dhutchison69) wrote :

Same issue on Ubuntu 15.04 on Asus fx550j.
I downloaded a driver form here:
https://www.dropbox.com/s/xbmm9vfg2fby2zn/fw-04ca_2006.hcd
and reloaded the module. I got BT connectivity after a reboot, but lost it the next day. I can't seem to bring it back.

Jonatan Zeidler (jonius) wrote :

I solved the same issue on Ubuntu 17.10 Acer Aspire E5. There is a repo with a lot of BT Firmware ready to use: https://github.com/winterheart/broadcom-bt-firmware/tree/master/brcm
It may be necessary to rename the file to make it work. You can find out with the following command:

$ dmesg | grep bluetooth
[ 12.314809] bluetooth hci0: Direct firmware load for brcm/BCM.hcd failed with error -2

If you get a similar line, you need to rename the firmware (/lib/firmware/brcm/BCM.hcd in this case).

tags: added: artful

Same with my Ubuntu 16.04

tags: added: xenial
Daniel van Vugt (vanvugt) wrote :

Thank you for reporting this bug to Ubuntu.
Ubuntu 17.10 (artful) reached end-of-life on July 19, 2018.

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We appreciate that this bug may be old and you might not be interested in discussing it any more. But if you are then please upgrade to the latest Ubuntu version and re-test. If you then find the bug is still present in the newer Ubuntu version, please add a comment here telling us which new version it is in and change the bug status to Confirmed.

Changed in bluez (Ubuntu):
status: Confirmed → Incomplete
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers